# gdcm::VL Class Reference

Value Length. More...

`#include <gdcmVL.h>`

List of all members.

## Public Member Functions
| VL (uint32_t vl=0)
VL | GetLength () const
bool | IsOdd () const
bool | IsUndefined () const
| operator uint32_t () const
VL | operator++ (int)
VL & | operator++ ()
VL & | operator+= (VL const &vl)
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | Read16 (std::istream &is)
void | SetToUndefined ()
template<typename TSwap >
const std::ostream & | Write (std::ostream &os) const
template<typename TSwap >
const std::ostream & | Write16 (std::ostream &os) const
## Static Public Member Functions
static uint16_t | GetVL16Max ()
static uint32_t | GetVL32Max ()
## Friends
std::ostream & | operator<< (std::ostream &os, const VL &vl)

## Detailed Description

Value Length.

Warning:
  this is a 4bytes value ! Do not try to use it for 2bytes value length

## Constructor & Destructor Documentation

gdcm::VL::VL | ( | uint32_t | vl = `0` | ) | `[inline]`

## Member Function Documentation

VL gdcm::VL::GetLength | ( |  | ) | const`[inline]`

Referenced by gdcm::FileMetaInformation::GetFullLength(), and gdcm::Fragment::GetLength().

static uint16_t gdcm::VL::GetVL16Max | ( |  | ) | `[inline, static]`

static uint32_t gdcm::VL::GetVL32Max | ( |  | ) | `[inline, static]`

bool gdcm::VL::IsOdd | ( |  | ) | const`[inline]`

Referenced by gdcm::ByteValue::SetLength().

bool gdcm::VL::IsUndefined | ( |  | ) | const`[inline]`

Referenced by gdcm::ByteValue::SetLength().

gdcm::VL::operator uint32_t | ( |  | ) | const`[inline]`

VL gdcm::VL::operator++ | ( | int |  | ) | `[inline]`

VL& gdcm::VL::operator++ | ( |  | ) | `[inline]`

VL& gdcm::VL::operator+= | ( | VL const & | vl | ) | `[inline]`

template<typename TSwap >

std::istream& gdcm::VL::Read | ( | std::istream & | is | ) | `[inline]`

template<typename TSwap >

std::istream& gdcm::VL::Read16 | ( | std::istream & | is | ) | `[inline]`

void gdcm::VL::SetToUndefined | ( |  | ) | `[inline]`

template<typename TSwap >

const std::ostream& gdcm::VL::Write | ( | std::ostream & | os | ) | const`[inline]`

Referenced by gdcm::Item::Write(), and gdcm::Fragment::Write().

template<typename TSwap >

const std::ostream& gdcm::VL::Write16 | ( | std::ostream & | os | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const VL & | vl |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmVL.h